## mp3val 0.1.4

=== Makefile ===
mp3val.exe: main.obj mpegparse.obj out.obj report.obj crossapi.obj
	cl /O1 /GX /MD /DWIN32 main.obj mpegparse.obj out.obj report.obj crossapi.obj -o mp3val.exe
main.obj: main.cpp
	cl /O1 /GX /MD /c /DWIN32 main.cpp
mpegparse.obj: mpegparse.cpp
	cl /O1 /GX /MD /c /DWIN32 mpegparse.cpp
out.obj: out.cpp
	cl /O1 /GX /MD /c /DWIN32 out.cpp
report.obj: report.cpp
	cl /O1 /GX /MD /c /DWIN32 report.cpp
crossapi.obj: crossapi.cpp
	cl /O1 /GX /MD /c /DWIN32 crossapi.cpp
clean:
	del *.o
	del *.exe
	del *.obj

## mp3val 0.1.8

=== debian/changelog ===
mp3val (0.1.8-5) unstable; urgency=medium

  * Update Maintainer
  * Use debhelper-compat 13
  * Bump Standards-Version to 4.6.0
  * Set Rules-Requires-Root: no in debian/control
  * Update debian/copyright to DEP-5 format
  * Use dpkg/buildflags.mk and enable hardening

 -- tony mancill <tmancill@debian.org>  Wed, 27 Oct 2021 20:55:31 -0700

mp3val (0.1.8-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Use dh_auto_build; Closes: #900107

  [ tony mancill ]
  * Use debhelper 11
  * Bump Standards-Version to 4.2.1
  * Update Vcs fields to point to repo on salsa.debian.org

 -- tony mancill <tmancill@debian.org>  Wed, 12 Dec 2018 21:04:37 -0800

mp3val (0.1.8-3) unstable; urgency=low

  * debian/control
    - bump Standards-Version to 3.9.5 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sun, 12 Jan 2014 18:20:18 +0100

mp3val (0.1.8-2) experimental; urgency=low

  * debian/control
    - add Vcs-{Browser, Git} fields
    - bump Standards-Version to 3.9.3 (no changes needed)
    - add misc:Depends
  * debian/{control, rules}
    - switch to dh sequencer
  * Switch to '3.0 (quilt)' source format; Closes: #669611
  * debian/rules
    - use hardening flags

 -- Sandro Tosi <morph@debian.org>  Mon, 20 Aug 2012 15:03:14 +0200

mp3val (0.1.8-1) unstable; urgency=low

  * New upstream release
  * debian/copyright
    - updated upstream copyright notice
    - bump Standards-Version to 3.8.3 (no changes needed)
  * debian/mp3val.doc-base
    - added doc-base

 -- Sandro Tosi <morph@debian.org>  Fri, 16 Oct 2009 18:39:05 +0200

mp3val (0.1.7-5) unstable; urgency=medium

  * debian/patches/30_bts-532803_FTBFS_gcc43.dpatch
    - added to include the third argument to open() call (it FTBFS if using
      _FORTIFY_SOURCE=1); thanks to Fabrice Coutadeur for the report and patch;
      Closes: #532803; urgency=medium because fix serious bug

 -- Sandro Tosi <morph@debian.org>  Thu, 11 Jun 2009 23:45:06 +0200

mp3val (0.1.7-4) unstable; urgency=low

  * debian/control
    - updated my email address
    - bump Standards-Version to 3.8.1
      + added debian/README.source
    - removed initial article from short description
    - removed additional spaces from long description
  * debian/copyright
    - added explicit notice for packaging copyright
    - added explicit link to GPL-2 license file
  * debian/rules
    - removed configure target, not needed
    - merged 'rm' into dh_clean call
    - removed 'dh_link' and 'dh_installexamples', not needed
  * debian/watch
    - removed comments, not needed
  * debian/patches/10_bts-409739_CFLAGS.dpatch
    - updated my email address
    - added description
  * debian/patches/20_bts-442679_FTBFS_build_twice.dpatch
    - updated my email address
    - added description

 -- Sandro Tosi <morph@debian.org>  Sat, 23 May 2009 21:45:38 +0200

mp3val (0.1.7-3) unstable; urgency=low

  * debian/control
    - bump Standards-Version to 3.7.3
    - bump dependency against debhelper to >=5
  * debian/compat
    - bump to 5
  * debian/dirs
    - removed since not needed
  * debian/rules
    - do not ignore anymore clean error due to missing makefile
  * debian/copyright
    - clear separation of upstream author, license and copyright
    - link to /usr/share/common-licenses/GPL file
  * debian/mp3val.1
    - escaped minus signs (lintian warning)

 -- Sandro Tosi <matrixhasu@gmail.com>  Wed, 23 Jan 2008 09:11:35 +0100

mp3val (0.1.7-2) unstable; urgency=low

  * debian/patches/bts-375715_FTBFS_on_AMD64.patch
    - removed since already merged in upstream source
  * debian/patches/bts-409739_CFLAGS.patch
    - removed since migrated to dpatch
  * debian/patches/10_bts-409739_CFLAGS.dpatch
    - patch converted to dpatch
  * debian/patches/20_bts-442679_FTBFS_build_twice.dpatch
    - patch to fix FTBFS is build twice in a row (Closes: #442679)
  * debian/rules
    - dpatch usage
    - clean target modified to fix FTBFS is build twice in a row
    - removed some unused dh_ call
  * debian/control
    - dpatch usage
    - using Homepage field in source stanza (and not in description) since
      dpkg now recognizes it

 -- Sandro Tosi <matrixhasu@gmail.com>  Thu, 20 Sep 2007 21:17:01 +0200

mp3val (0.1.7-1) unstable; urgency=low

  * New upstream release (Closes: #414166, #413946)
  * debian/rules
    - updated to use Makefile.linux
    - use CXXFLAGS instead of CFLAGS
    - install upstream changelog file too
    - deleted some commented lines
  * debian/copyright
    - extend copyright to 2007

 -- Sandro Tosi <matrixhasu@gmail.com>  Mon, 11 Jun 2007 18:55:04 +0200

mp3val (0.1.4-3) unstable; urgency=low

  * Makefile.gcc uses CFLAGS (closes: #409739)
  * added tony mancill to Uploaders

 -- tony mancill <tmancill@debian.org>  Sat, 17 Feb 2007 12:49:57 -0800

mp3val (0.1.4-2) unstable; urgency=medium

  * FTBFS on 64 bit arches: crossapi.cpp:188: error: cast from 'char*'
    to 'int' loses precision (Closes: #375715)

 -- Sandro Tosi <matrixhasu@gmail.com>  Mon, 24 Jul 2006 21:25:20 +0200

mp3val (0.1.4-1) unstable; urgency=low

  * Initial release Closes: #366747

 -- Sandro Tosi <matrixhasu@gmail.com>  Mon, 24 Jul 2006 21:25:01 +0200

=== debian/control ===
Source: mp3val
Section: sound
Priority: optional
Maintainer: tony mancill <tmancill@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0
Homepage: http://mp3val.sourceforge.net/
Vcs-Git: https://salsa.debian.org/debian/mp3val.git
Vcs-Browser: https://salsa.debian.org/debian/mp3val
Rules-Requires-Root: no

Package: mp3val
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: program for MPEG audio stream validation
 MP3val is a small, high-speed tool for MPEG audio files validation
 and (optionally) fixing problems.
 .
 It was primarily designed for verification of MPEG 1 Layer III (MP3)
 files, but supports also other MPEG versions and layers.
 .
 It can be useful for finding corrupted files (e.g. incompletely
 downloaded).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --buildsystem=makefile

override_dh_auto_build:
	dh_auto_build -- -f Makefile.linux CXXFLAGS='$(CXXFLAGS) $(CPPFLAGS) $(LDFLAGS)'

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) -f Makefile.gcc clean
	dh_clean

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/mp3val/usr/bin/
	cp mp3val $(CURDIR)/debian/mp3val/usr/bin/

override_dh_installchangelogs:
	dh_installchangelogs	changelog.txt

override_dh_installdocs:
	dh_installdocs		manual.html

override_dh_installman:
	dh_installman 		debian/mp3val.1

=== debian/watch ===
version=4

http://sf.net/mp3val/mp3val-(.*)-src\.tar\.gz
